# Utils Library

## Rust Libraries Collections Utilities for **applications**

Part of the following developments:

- [CloudMandala](https://rlung.librecloud.online/LibreCloud/CloudMandala#cloudmandala)
- [Zteron](https://rlung.librecloud.online/LibreCloud/CloudMandala#cloudmandala)

Includes applications functions for following areas:

- Files handle in json,yaml,toml
- RGB colors
- Run command

### Criteria

In a basic application scenario this group or library collections are included together.

Unapdating packages or dependencies shoud be keep in sync among <u>Cargo.toml</u> declarations.

### How to use

1 - Clone or download this lib in a path, better outside of target development

2 - Get current version from <u>Cargo.toml</u>

3 - <u>For each member of</u>  of **Defs Library** one line like the one below should be included in <u>target development Cargo.toml</u> (adjust version & path) and **use** whatever is need.

```toml
app_tools = { version = "0.1.0", path = "../lib/utils/app_tools" }
```

To include all libraries:

```toml
app_tools = { version = "0.1.0", path = "../lib/utils/app_tools" }
ssh_utils = { version = "0.1.0", path = "../lib/utils/ssh_utils" }
```

### Structure

Each directory contains a Library dedicated to applications common needs:
Inside of each directory README.md and TODO.md files has more details.

#### app_tools

App utilities

<pre>
app_tools/
├── Cargo.toml
├── README.md
├── TODO.md
└── src
    └── lib.rs
</pre>

#### ssh_utils

SSH utilities

<pre>
ssh_utils/
├── Cargo.toml
├── README.md
├── TODO.md
└── src
    └── lib.rs
</pre>

## Author

- [Jesús Pérez](https://info.jesusperez.pro).

## License

MIT
